# Interface FormLoadMethod<T>

interface FormLoadMethod<T> {
metadata?: any;
call(): T | Promise<T>;
}

#### Type Parameters

- T = any

#### Hierarchy

- Method<T>
  - FormLoadMethod

- Defined in packages/angular/forms/src/lib/directives/models.ts:7

#####
Index

### Properties

metadata?

### Methods

call

## Properties

### `Optional` metadata

metadata?: any

Inherited from Method.metadata

- Defined in packages/pattern/src/lib/meta-data.ts:2

## Methods

### call

- call(): T | Promise<T>

- #### Returns T | Promise<T>

  Overrides Method.call

  - Defined in packages/angular/forms/src/lib/directives/models.ts:8